import Vue from "vue";

import cherry from "@qg/cherry-ui";
import "@qg/cherry-ui/dist/cherry.css";

const {
  Button,
  Image,
  Icon,
  Cell,
  CellGroup,
  Row,
  Col,
  Popup,
  Overlay,
  Divider,
  Loading,
  Toast,
  // Uploader,
  Notify,
  Picker,
  Area,
  // Dialog,
  Field,
  Checkbox,
  // CheckboxGroup,
  Radio,
  RadioGroup,
  Switch,
  Tag,
  // PullRefresh,
  // CardList,
  // Search,
  // List,
  Stepper,
  DatePicker,
  // SwipeCell,
  Form,
  Tabbar,
  TabbarItem,
  // Navbar,
  Progress,
  // Skeleton,
  Sticky,
  Swipe,
  SwipeItem
} = cherry;

Vue.use(Button);
Vue.use(Image);
Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(Row);
Vue.use(Col);
Vue.use(Popup);
Vue.use(Divider);
Vue.use(Toast);
Vue.use(Notify);
Vue.use(Picker);
Vue.use(Area);
Vue.use(Field);
Vue.use(Checkbox);
Vue.use(Radio);
Vue.use(RadioGroup);
Vue.use(Switch);
Vue.use(Tag);
Vue.use(Stepper);
Vue.use(DatePicker);
Vue.use(Form);
Vue.use(Tabbar);
Vue.use(TabbarItem);
Vue.use(Icon);
Vue.use(Progress);
Vue.use(Sticky);
Vue.use(Overlay);
Vue.use(Form);
Vue.use(Picker);
Vue.use(Notify);
Vue.use(Loading);
Vue.use(Swipe);
Vue.use(SwipeItem);
